cm-class {oce} | R Documentation

## Class to store current meter data

### Description

Class to store current meter data, with standard slots `metadata`, `data` and `processingLog`. See `read.cm` for some cautionary notes on this data type.

### Methods

#### Extracting values

Data may be accessed as e.g. `cm[["time"]]`, `"u"`, `"v"`, etc. Items in `metadata` must be specifield by full name, but those in `data` may be abbreviated, so long as the abbreviation is unique.

#### Assigning values

Everything that may be accessed may also be assigned, e.g. `cm[["u"]] <- rep(35,100)`.

#### Overview of contents

The `show` method (e.g. `show(cm)`) displays information about the object.

### Author(s)

Dan Kelley

### See Also

A file containing CM profile data may be read with `read.cm`. Statistical summaries are provided with `summary.cm`, while overviews are provided by `show`. Plots are provided with `plot.cm`.

[Package oce version 0.9-18 Index]